Bug 600116 - Properties are not reset in the second server generation
Properties are not reset in the second server generation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Hutterer
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 20:34 EDT by Peter Hutterer
Modified: 2010-11-10 16:58 EST (History)
1 user (show)

See Also:
Fixed In Version: xorg-x11-server-1.7.7-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:58:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2010-06-03 20:34:19 EDT
Description of problem:
When the last client disconnects, the server resets all internal state but misses out on the property reset. In the second server generation, the device properties point to garbage data.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.7.7-2.el6.x86_64

How reproducible:
Start a plain X server, then run xinput ---list twice against the server. It's important to not have any other clients connected, otherwise the server reset won't happen. Best to do this in a screen session through ssh.
Steps to Reproduce:
1. /usr/bin/Xorg :0
2. DISPLAY=:0 xinput --list-props 4
3. DISPLAY=:0 xinput --list-props 4
  
Actual results:
First run:
[whot@rapture src]$ ./xinput --list-props 4
Device 'Virtual core XTEST pointer':
        Device Enabled (117):   1
        Coordinate Transformation Matrix (119): 1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
        XTEST Device (233):     1

Second run:
[whot@rapture src]$ ./xinput --list-props 4
Device 'Virtual core XTEST pointer':
        Alt (117):      1
        LAlt (119):             ... of unknown type LevelThree

        Evdev Drag Lock Buttons (233):  1


Expected results:
Both runs should have the same properties showing.

Additional info:
Fix for this is upstream and in the upstream 1.8 branch. Back-portable to our server.
Comment 1 RHEL Product and Program Management 2010-06-03 20:43:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Peter Hutterer 2010-06-09 20:40:02 EDT
MODIFIED

xorg-x11-server-1.7.7-7.el6 is available in brew.
Comment 4 Radek Lat 2010-08-17 07:30:37 EDT
Tested and Verified on xorg-x11-server-1.7.7-26.el6, moving to VERIFIED.
Comment 5 releng-rhel@redhat.com 2010-11-10 16:58:37 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.